Bug 6860 - [PATCH] glibc-devel-static required by any -devel-static package
: [PATCH] glibc-devel-static required by any -devel-static package
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-16 17:20 by
Modified: 2013-08-15 18:27 (History)


Attachments
noarch patch (524 bytes, patch)
2010-10-30 13:30, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-16 17:20:17
/usr/lib/rpm/find-requires:
if [ -n "$RPM_SUBPACKAGE_NAME" ]; then
    if [ -n "${RPM_SUBPACKAGE_NAME%%glibc*}" -a -z
"${RPM_SUBPACKAGE_NAME##*-devel-static}" ]; then
        FOUND_REQS=glibc-devel-static
    fi
fi

Однако эта зависимость лишняя для, например, i386-mingw32msvc-*-devel-static
пакетов.  Один из вариантов - проверять пакет на -n
"${RPM_SUBPACKAGE_NAME%%i386-mingw32msvc*}", но он мне не нравится.  Второй
вариант - не проставлять эту зависимость для noarch пакетов, какими являются
библиотеки под "не host систему".
------- Comment #1 From 2005-05-20 02:19:55 -------
Идея с noarch мне больше нравится.
------- Comment #2 From 2010-10-30 13:30:01 -------
Created an attachment (id=4633) [details]
noarch patch

Мне тоже, но с другой стороны, ишак (i386-mingw32msvc-*) тем временем сдох, да
и логика переехала в /usr/lib/rpm/static.req.  Непроверенный (всё равно
перепишут :) набросок патча прилагается.
------- Comment #3 From 2013-08-15 18:27:37 -------
apparently wontfix